// =====================================================================
//  $Id: TModule.cc,v 1.4 2004/03/07 10:30:31 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TModule.cc,v $
//  Revision 1.4  2004/03/07 10:30:31  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:40  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:19:10  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TModule.hh"

TModule::TModule( Tint nchannel )
  : theNumberOfChannels( nchannel ),
    theStatus( tStatusSuccess )
{;}

TModule::TModule( const TModule& right )
  : theNumberOfChannels( right.theNumberOfChannels ),
    theStatus( right.theStatus )
{;}

TModule::~TModule()
{;}

const TModule& TModule::operator=( const TModule& right )
{
  theNumberOfChannels = right.theNumberOfChannels;
  theStatus = right.theStatus;
  return *this;
}

Tbool TModule::operator==( const TModule& right ) const
{
  return theNumberOfChannels == right.theNumberOfChannels && theStatus == right.theStatus;
}

Tbool TModule::operator!=( const TModule& right ) const
{
  return theNumberOfChannels != right.theNumberOfChannels || theStatus != right.theStatus;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TModule)
#endif
